@import '../../../styles.scss';

.icon {
  position: absolute;
  top: 23%;
  left: 24%;
  transform: translateX(-50%) translateY(-50%);
}

.hamburger {
  content: ' ';
  position: relative;
  width: 20px;
  border: 2px solid #AAAEAD;
  border-radius: 5px;
  transition: all 0.333333333333333s ease;
}

.hamburger:after,
.hamburger:before {
  content: ' ';
  position: absolute;
  left: 50%;
  width: 100%;
  border: 2px solid #AAAEAD;
  border-radius: 5px;
  transform: translateX(-50%);
  transition-property: top, bottom, transform;
  transition-duration: 1s, 1s, 0.25s;
}

.hamburger:after {
  top: -8px;
}

.hamburger:before {
  bottom: -8px;
}

.menu {
  //TODO comment below for hammerjs
  pointer-events: none;
}

.menu--circle {
  position: fixed;
  padding-top: 170px;
  padding-left: 90px;
  height: 100%;
  width: 100%;
  z-index: 13;
  // background-color: #333641;
  overflow: hidden;
}

.menu__active {
  position: relative;
  padding-left: 150px;
}

.menu__toggle {
  z-index: 11;
  position: absolute;
  //top: -100px;
  //left: -100px;
  width: 400px;
  height: 400px;
  background-color: #333641;
  border-radius: 50%;
  transition: transform 1.3s;
  cursor: pointer;
  pointer-events: auto;
}

.menu__listings {
  z-index: 10;
  position: absolute;
  top: -50px;
  left: -50px;
  width: 400px;
  height: 400px;
  border-radius: 50%;
  transform: scale(0.1) rotate(-150deg);
  transition: transform 1s;
}

.menu__arrow {
  visibility: hidden;
  position: absolute;
}

.menu__arrow input[type="radio"] {
  position: fixed;
  top: -99999px;
  left: -99999px;
}

.menu__arrow ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.menu__arrow--top {
  top: -90px;
  left: 111px;
}

.menu__arrow--top .arrow {
  transform: rotate(45deg);
}

.menu__arrow--left {
  top: 220px;
  left: 0.5em;
}

.menu__arrow--left .arrow {
  transform: rotate(-135deg);
}

.arrow {
  width: 20px;
  height: 20px;
  border-right: 6.666666666666667px solid #AAAEAD;
  border-top: 6.666666666666667px solid #AAAEAD;
  border-radius: 3px;
  transition: border-color 0.3s;
  cursor: pointer;
  pointer-events: auto;
}

.arrow:hover {
  border-color: #ff947f;
  transition: border-color 0.3s;
}

.circle {
  position: relative;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  background-color: #fff;
  border-radius: 50%;
  transform: rotate(108deg);
  overflow: hidden;
  list-style: none;
}

.circle li {
  position: absolute;
  top: 0;
  right: 0;
  width: 50%;
  height: 50%;
  transform-origin: 0 100%;
}

.circle li .placeholder {
  position: absolute;
  left: -100%;
  padding-top: 1.5em;
  width: 200%;
  height: 200%;
  text-align: center;
  transform: skewY(54deg) rotate(18deg);
}

.circle li .placeholder .upside {
  transform: rotate(0deg); 
}

.circle li .placeholder a {
  text-decoration: none;
  pointer-events: auto;
}

.circle li .placeholder button {
  pointer-events: auto;
}

.circle li .placeholder .button {
  font-size: 2.3em;
  background-color: transparent;
  border: none;
  color: #333641;
  cursor: pointer;
}

.circle li:nth-child(1) {
  transform: rotate(0deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(2) {
  transform: rotate(36deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(3) {
  transform: rotate(72deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(4) {
  transform: rotate(108deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(5) {
  transform: rotate(144deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(6) {
  transform: rotate(180deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(7) {
  transform: rotate(216deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(8) {
  transform: rotate(252deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(9) {
  transform: rotate(288deg) skewY(-54deg);
  background-color: #fff;
}

.circle li:nth-child(10) {
  transform: rotate(324deg) skewY(-54deg);
  background-color: #fff;
}

#menu__active {
  position: fixed;
  top: -99999px;
  left: -99999px;
}

#menu__active:checked ~ label .menu__listings {
  transform: rotate(10deg) scale(1);
  transition: transform 1s;
}

#menu__active:checked ~ label .menu__toggle {
  background-color: #333641;
  transition: all 1s;
}

#menu__active:checked ~ label .hamburger {
  border-color: transparent;
  transition: border-color 0.333333333333333s;
}

#menu__active:checked ~ label .hamburger:after {
  top: -2px;
  border-color: #AAAEAD;
  transform: translateX(-50%) rotate(45deg);
  transition-property: top, transform;
  transition-duration: 0.25s, 1s;
}

#menu__active:checked ~ label .hamburger:before {
  bottom: -2px;
  border-color: #AAAEAD;
  transform: translateX(-50%) rotate(-45deg);
  transition-property: bottom, transform;
  transition-duration: 0.25s, 1s;
}

#menu__active:checked ~ label .button:hover {
  color: #c1264e;
}

#menu__active:checked ~ label .menu__arrow {
  visibility: visible;
  transition: all 1s 1.111111111111111s;
}

#menu__active:checked ~ label .menu__arrow--top label {
  display: none;
}

#menu__active:checked ~ label .menu__arrow--top label[for="degree--up-0"] {
  display: block;
}

#menu__active:checked ~ label #degree--up-0:checked ~ .menu__listings {
  transform: rotate(116deg);
}

#menu__active:checked ~ label #degree--up-0:checked ~ .menu__arrow--top label {
  display: none;
}

#menu__active:checked ~ label #degree--up-0:checked ~ .menu__arrow--top label[for="degree--up-1"] {
  display: block;
}

#menu__active:checked ~ label #degree--up-1:checked ~ .menu__listings {
  transform: rotate(224deg);
}

#menu__active:checked ~ label #degree--up-1:checked ~ .menu__listings ~ .menu__arrow--top label {
  display: none;
}

#menu__active:checked ~ label #degree--up-1:checked ~ .menu__listings ~ .menu__arrow--top label[for="degree--up-2"] {
  display: block;
}

fa-icon {
  cursor: pointer;
  pointer-events: auto;
}
